org.eclipse.emf.cdo.server

## Interface IUnitManager

- All Superinterfaces:
    IContainer<IUnit>, INotifier
  All Known Subinterfaces:
    InternalUnitManager

      public interface IUnitManager
      extends IContainer<IUnit>

  Since:
    4.5
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IUnit` | `createUnit(CDOID rootID, IView view, CDORevisionHandler revisionHandler, OMMonitor monitor)`
    `IRepository` | `getRepository()`
    `IUnit` | `getUnit(CDOID rootID)`
    `IUnit[]` | `getUnits()`
    `java.util.Map<CDOID,CDOID>` | `getUnitsOf(java.util.Set<CDOID> ids, CDORevisionProvider revisionProvider)`
    `boolean` | `isUnit(CDOID rootID)`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getRepository

          IRepository getRepository()

    - #### createUnit

          IUnit createUnit(CDOID rootID,
                           IView view,
                           CDORevisionHandler revisionHandler,
                           OMMonitor monitor)

    - #### isUnit

          boolean isUnit(CDOID rootID)

    - #### getUnit

          IUnit getUnit(CDOID rootID)

    - #### getUnits

          IUnit[] getUnits()

    - #### getUnitsOf

          java.util.Map<CDOID,CDOID> getUnitsOf(java.util.Set<CDOID> ids,
                                                CDORevisionProvider revisionProvider)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html